{
  "schema_version": "1.4.0",
  "id": "GHSA-wjvv-c566-phgf",
  "modified": "2022-05-17T00:29:02Z",
  "published": "2022-05-17T00:29:02Z",
  "aliases": [
    "CVE-2017-15932"
  ],
  "details": "In radare2 2.0.1, an integer exception (negative number leading to an invalid memory access) exists in store_versioninfo_gnu_verdef() in libr/bin/format/elf/elf.c via crafted ELF files when parsing the ELF version on 32bit systems.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-15932"
    },
    {
      "type": "WEB",
      "url": "https://github.com/radare/radare2/issues/8743"
    },
    {
      "type": "WEB",
      "url": "https://github.com/radare/radare2/commit/44ded3ff35b8264f54b5a900cab32ec489d9e5b9"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/101614"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-125"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-10-27T18:29:00Z"
  }
}